# Delete Custom Fields

Delete one or more custom fields.

Below is a Sample cURL request to delete particular custom fields.

{% file src="/files/qUFKc75pVvrx4MoyujgX" %}

<mark style="color:green;">`POST`</mark>[`{{apiUrl}}custom_fields/add_update_custom_field`](https://api.evitalrx.in/v1/custom_fields/add_update_custom_field)

#### Request Body

| Name                                     | Type   | Description                                                                                                                                                                                     |
| ---------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| apikey<mark style="color:red;">\*</mark> | String | Authentication token                                                                                                                                                                            |
| entity                                   | Number | type of the entity                                                                                                                                                                              |
| custom\_fields                           | Array  | <p>Array of custom field object containing id, attribute key and module name<br>For ex:<br>{id: string, attribute\_key: string, module: string}<br>Valid module are:<br>sales and customers</p> |
| action                                   | String | delete                                                                                                                                                                                          |

{% tabs %}
{% tab title="OK Success" %}

```json
{
    "status_code": "1",
    "status_message": "Success",
    "datetime": "2024-10-01 10:24:18",
    "data": null
}
```

{% endtab %}

{% tab title="Invalid id of attribute" %}

```json
{
    "status_code": "0",
    "status_message": "deleting failed",
    "datetime": "2024-10-01 10:25:52",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.evitalrx.in/api-for-custom-fields/delete-custom-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
